# _*_ coding: iso-8859-1 _*_


import platform, win32api

def get_ostype():
    try:
        ost = platform.release().lower()
        if 'xp' in ost:
            t_os = 'WinXP'
        elif '2000' in ost:
            t_os = 'Win2K'
        elif '2003' in ost:
            t_os = 'Win2K3'
        elif 'nt' in ost:
            t_os = 'WinNT'
        elif win32api.GetVersionEx()[0] == 6:
            t_os = 'Vista'
        else:
            t_os = 'Win95'
    except:
        t_os = 'Win95'
    return t_os


def get_sptype():
    spack = win32api.GetVersionEx()[4].replace('Service Pack ','')
    return spack

def get_wtype():
    wtype = win32api.GetVersionEx(1)[7]
    return wtype

type_os = get_ostype()
sp = get_sptype()
wtype = get_wtype()