# _*_ coding: iso-8859-1 _*_
#!/usr/bin/env python

import os, shutil, sys

from eole.manifest import manifest

# pour l'import de win32com.shell
try:
    import modulefinder
    import win32com
    for p in win32com.__path__[1:]:
        modulefinder.AddPackagePath("win32com", p)
    for extra in ["win32com.shell"]: #,"win32com.mapi"
        __import__(extra)
        m = sys.modules[extra]
        for p in m.__path__[1:]:
            modulefinder.AddPackagePath(extra, p)
except ImportError:
    # no build path setup, no worries.
    pass
# #############

from distutils.core import setup
import py2exe

dist_dir = "dists\\gestion-postes"
if os.path.exists(dist_dir):
    shutil.rmtree(dist_dir)

if os.path.exists("build"):
    shutil.rmtree("build")

opts = {"py2exe": {
                   "dist_dir": dist_dir,
                   "packages":["encodings",],
                   "optimize":1,
                    }
        }

setup(name="Gestion des postes clients windows",
      options=opts,
      version="1.1",
      description="",
      author="Eole",
      author_email="eole@ac-dijon.fr",
      url="http://eole.orion.education.fr/diffusion",
      windows=[{
          "script":'gestion-postes.py',
          "icon_resources":[(1, "images\\eole.ico")],
          'other_resources': [(24, 1, manifest%{'prog': 'Gestion postes'})],
          }],
      data_files=[("images", ["images\\banniere.jpg", "images\\eole.ico"]),
                  ("", ["eole_exe\\eole_conf.vnc", "eole_exe\\vncviewer.exe"]),
                  ("", ["dlls\\gdiplus.dll", "dlls\\msvcp71.dll", "dlls\\vnclang.dll"]),
     ])


